Package org.jfree.layouting.layouter.model

## Class LayoutNode

- java.lang.Object
- - org.jfree.layouting.layouter.model.LayoutNode

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `LayoutElement`, `LayoutText`

      public abstract class LayoutNode
      extends java.lang.Object
      implements java.io.Serializable

  Creation-Date: 27.05.2006, 16:02:15
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LayoutNode​(LayoutElement parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutElement` | `getParent​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutNode

          protected LayoutNode​(LayoutElement parent)

  - ### Method Detail

    - #### getParent

          public LayoutElement getParent​()